'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.twoWayBind = undefined;
exports.oneWayBind = oneWayBind;

var _flowRuntime = require('flow-runtime');

var _flowRuntime2 = _interopRequireDefault(_flowRuntime);

var _bind = require('./bind');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function oneWayBind(target, name, descriptor) {
	//console.log(target);
	//console.log(name);
	//console.log(descriptor);

	var oldValue = descriptor.value;

	descriptor.value = function () {
		var $ = (0, _bind.oneWayBind)(this.props);
		return oldValue.call(this, $);
	};

	return descriptor;
}

var twoWayBind = exports.twoWayBind = function twoWayBind(target, name, descriptor) {
	//console.log(target);
	//console.log(name);
	//console.log(descriptor);


	var oldValue = descriptor.value;

	descriptor.value = function () {
		var $$ = (0, _bind.twoWayBind)('value', 'onChange')(this);
		return oldValue.call(this, $$);
	};

	return descriptor;
};
//# sourceMappingURL=decorator.js.map